package com.example.access_contacts

import android.content.Context
import android.provider.ContactsContract
import androidx.annotation.NonNull
import io.flutter.embedding.engine.plugins.FlutterPlugin
import io.flutter.plugin.common.MethodCall
import io.flutter.plugin.common.MethodChannel
import io.flutter.plugin.common.MethodChannel.MethodCallHandler
import io.flutter.plugin.common.MethodChannel.Result

/** AccessContactsPlugin */
class AccessContactsPlugin: FlutterPlugin, MethodCallHandler {
  /// The MethodChannel that will the communication between Flutter and native Android
  ///
  /// This local reference serves to register the plugin with the Flutter Engine and unregister it
  /// when the Flutter Engine is detached from the Activity
  private lateinit var channel : MethodChannel
  private lateinit var context : Context

  override fun onAttachedToEngine(@NonNull flutterPluginBinding: FlutterPlugin.FlutterPluginBinding) {

    context = flutterPluginBinding.applicationContext
    channel = MethodChannel(flutterPluginBinding.binaryMessenger, "access_contact_channel")
    channel.setMethodCallHandler(this)
  }

  override fun onMethodCall(@NonNull call: MethodCall, @NonNull result: Result) {
    if (call.method == "getPlatformVersion") {
      result.success("Android ${android.os.Build.VERSION.RELEASE}")
    }
    else if(call.method == "get_all_contacts"){
      var contactList = ManageContacts().getAllContacts(context);
      result.success(contactList)
    }
    else if(call.method == "add_contact"){
      ManageContacts().addNewContact(context)
      result.success(true);
    }

    /* else if(call.method == "open_contacts"){

      // getContacts(context)
       var obj=OpenContacts();
       obj.openCotnacts(context)
     }
    */

    else {
      result.notImplemented()
    }
  }

  override fun onDetachedFromEngine(@NonNull binding: FlutterPlugin.FlutterPluginBinding) {
    channel.setMethodCallHandler(null)
  }

  fun getContacts(context: Context) {
    val cr = context.contentResolver
    try {
      val cur = cr.query(ContactsContract.Contacts.CONTENT_URI,
        null, null, null, null
      )

      print("success")

    } catch (e: Exception) {
    }
  }

}
