package com.example.access_contacts

import android.annotation.SuppressLint
import android.content.Context
import android.content.Intent
import android.provider.ContactsContract
import android.util.Log

class ManageContacts {
    @SuppressLint("Range")
    fun getAllContacts(context: Context): List<HashMap<String, String>> {
        val contactList: MutableList<HashMap<String, String>> = ArrayList()
        val phoneCursor = context.contentResolver.query(
            ContactsContract.CommonDataKinds.Phone.CONTENT_URI,
            null, null, null, null
        )
        try {
            if (phoneCursor != null && phoneCursor.count > 0) {
                while (phoneCursor != null && phoneCursor.moveToNext()) {
                    val contactMap = HashMap<String, String>()
                    val id = phoneCursor.getString(
                        phoneCursor.getColumnIndex(
                            ContactsContract.CommonDataKinds.Phone._ID
                        )
                    )
                    contactMap["id"] = id
                    // Log.d("id",id);
                    val name = phoneCursor.getString(
                        phoneCursor.getColumnIndex(
                            ContactsContract.CommonDataKinds.Phone.DISPLAY_NAME_PRIMARY
                        )
                    )
                    contactMap["name"] = name
                    // Log.d("name",name);
                    val phone = phoneCursor.getString(
                        phoneCursor.getColumnIndex(
                            ContactsContract.CommonDataKinds.Phone.NUMBER
                        )
                    )
                    contactMap["phone"] = phone
                    //  Log.d("phone",phone);
                    contactList.add(contactMap)
                }
            }
        } catch (e: Exception) {
        }
        Log.d("contactList", contactList.toString())
        return contactList
    }

    fun addNewContact(context: Context): Boolean {
        // Creates a new Intent to insert a contact
        val intent = Intent(ContactsContract.Intents.Insert.ACTION)

        // Sets the MIME type to match the Contacts Provider
        intent.type = ContactsContract.RawContacts.CONTENT_TYPE
        intent.putExtra("finishActivityOnSaveCompleted", true)
        intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK)
        // intent.putExtra(ContactsContract.Intents.Insert.PHONE, phoneNumber);
        //  .putExtra(ContactsContract.Intents.Insert.EMAIL, emailId)
        //  .putExtra(ContactsContract.Intents.Insert.EMAIL_TYPE, ContactsContract.CommonDataKinds.Email.TYPE_WORK)
        //  .putExtra(ContactsContract.Intents.Insert.PHONE, phoneNumber)
        //  .putExtra(ContactsContract.Intents.Insert.PHONE_TYPE, ContactsContract.CommonDataKinds.Phone.TYPE_WORK);
        context.startActivity(intent)
        return true
    }
}