import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'access_contacts_platform_interface.dart';

/// An implementation of [AccessContactsPlatform] that uses method channels.
class MethodChannelAccessContacts extends AccessContactsPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('access_contacts');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
