import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'access_contacts_method_channel.dart';

abstract class AccessContactsPlatform extends PlatformInterface {
  /// Constructs a AccessContactsPlatform.
  AccessContactsPlatform() : super(token: _token);

  static final Object _token = Object();

  static AccessContactsPlatform _instance = MethodChannelAccessContacts();

  /// The default instance of [AccessContactsPlatform] to use.
  ///
  /// Defaults to [MethodChannelAccessContacts].
  static AccessContactsPlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [AccessContactsPlatform] when
  /// they register themselves.
  static set instance(AccessContactsPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
