import 'package:flutter_test/flutter_test.dart';
import 'package:access_contacts/access_contacts.dart';
import 'package:access_contacts/access_contacts_platform_interface.dart';
import 'package:access_contacts/access_contacts_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockAccessContactsPlatform
    with MockPlatformInterfaceMixin
    implements AccessContactsPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final AccessContactsPlatform initialPlatform = AccessContactsPlatform.instance;

  test('$MethodChannelAccessContacts is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelAccessContacts>());
  });

  test('getPlatformVersion', () async {
    AccessContacts accessContactsPlugin = AccessContacts();
    MockAccessContactsPlatform fakePlatform = MockAccessContactsPlatform();
    AccessContactsPlatform.instance = fakePlatform;

    expect(await accessContactsPlugin.getPlatformVersion(), '42');
  });
}
